<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>{{ title }}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
    <ion-grid *ngIf="messages !== null">
      <ion-row *ngFor="let msg of messages">
        
        <ion-col size="9" *ngIf="msg.filepath" class="message">
          <ion-title class="title" no-padding>~{{msg.users_id}}</ion-title>
          <img src="http://192.168.0.191/glpi/front/document.send.php?docid={{msg.assocID}}" alt="{{msg.filename}}">
          <div class="time" text-right><br>
            {{msg.date_mod | date:'dd/MM/yyyy hh:mm'}}
          </div>
        </ion-col>

        <ion-col size="9" *ngIf="currentUser !== msg.users_id && !msg.filepath" class="message other-message">
          <ion-title class="title" no-padding>~{{msg.users_id}}</ion-title>
          <span class="content" [innerHTML]="decode(msg.content)"></span>
          <div class="time" text-right><br>
            {{msg.date_mod | date:'dd/MM/yyyy hh:mm'}}
          </div>
        </ion-col>
    
        <ion-col offset="3" size="9" *ngIf="currentUser === msg.users_id && !msg.filepath" class="message my-message">
          <span class="content" [innerHTML]="decode(msg.content)"></span>
          <div class="time" text-right><br>
            {{msg.date_creation | date:'dd/MM/yyyy hh:mm:ss'}}
          </div>
        </ion-col>
      </ion-row>
    </ion-grid>
</ion-content>

<ion-footer>
  <ion-toolbar color="light">
    <ion-row align-itens-center no-padding>
      <ion-col size="10">
       <textarea autosize [maxRows]="4" [(ngModel)]="newMsg" #inputMsg class="message-input" placeholder="Digite sua resposta aqui"></textarea>
      </ion-col>
      <ion-col size="2" class="col-btn">
          <ion-button (click)="sendMessage()" expand="block" fill="clear" color="primary" [disabled]="newMsg === ''" class="msg-btn">
            <ion-icon name="send" slot="icon-only"></ion-icon>
          </ion-button>
      </ion-col>
    </ion-row>
  </ion-toolbar>
</ion-footer>
